package br.uff.commerce.domain.customer;

import java.util.Map;

import br.uff.commerce.request.Request;
import br.uff.commerce.request.RequestException;

/**
 * Concrete Flyweight
 *
 */
public class EditCustomerRequest implements Request
{
	public final static String NAME = "editCustomer";

	@Override
	public void execute(Map<String, Object> parameters) throws RequestException
	{
		
		Long customerId = (Long) parameters.get("customerId");
		
		Customer subject = 
				CustomerRepository.getSoleInstance().findById(customerId);
		
		if (subject == null)
			throw new RequestException("Customer with id "+ 
		                                customerId +" not found.");
			
		subject.setName((String) parameters.get("name"));
		
		CustomerRepository.getSoleInstance().update(subject);
		
	}

}
