package br.uff.commerce.domain.product;

import java.util.Map;

import br.uff.commerce.request.Request;
import br.uff.commerce.request.RequestException;

/**
 * Concrete Flyweight
 *
 */
public class EditProductRequest implements Request
{
	public final static String NAME = "editProduct";

	@Override
	public void execute(Map<String, Object> parameters) throws RequestException
	{
		
		Long productId = (Long) parameters.get("productId");
		
		Product subject = 
				ProductRepository.getSoleInstance().findById(productId);
		
		if (subject == null)
			throw new RequestException("Product with id "+ 
		                                productId +" not found.");
			
		subject.setName((String) parameters.get("name"));
		
		ProductRepository.getSoleInstance().update(subject);
		
	}

}
