package br.uff.commerce.requestprocessing;

import java.util.Map;

import br.uff.commerce.request.Request;
import br.uff.commerce.request.RequestException;

/**
 * Singleton
 *
 */
public class RequestProcessor
{
	private static RequestProcessor soleInstance = null;
	
	public static RequestProcessor getSoleInstance()
	{
		if (RequestProcessor.soleInstance == null)
			RequestProcessor.soleInstance = new RequestProcessor();
		
		return RequestProcessor.soleInstance;
	}
	
	private RequestFactory factory;
	
	private RequestProcessor()
	{
		this.factory = RequestFactory.getSoleInstance();
	}
	
	public void process(String requestName, Map<String, Object> parameters) 
			throws RequestException
	{
		Request request = this.factory.createRequest(requestName);
		request.execute(parameters);
	}
	
}
